import unicodedata

tests = {
    "bidirs": {
        "BN": "0000",
        "S": "0009",
        "B": "000A",
        "WS": "000C",
        "ON": "0021",
        "ET": "0023",
        "ES": "002B",
        "CS": "002C",
        "EN": "0030",
        "L": "0041",
        "NSM": "0300",
        "R": "05BE",
        "AN": "0600",
        "AL": "0608",
        "LRE": "202A",
        "RLE": "202B",
        "PDF": "202C",
        "LRO": "202D",
        "RLO": "202E"
    },
    "categories": {
        "Cc": "0000",
        "Zs": "0020",
        "Po": "0021",
        "Sc": "0024",
        "Ps": "0028",
        "Pe": "0029",
        "Sm": "002B",
        "Pd": "002D",
        "Nd": "0030",
        "Lu": "0041",
        "Sk": "005E",
        "Pc": "005F",
        "Ll": "0061",
        "So": "00A6",
        "Pi": "00AB",
        "Cf": "00AD",
        "No": "00B2",
        "Pf": "00BB",
        "Lo": "01BB",
        "Lt": "01C5",
        "Lm": "02B0",
        "Mn": "0300",
        "Me": "0488",
        "Mc": "0903",
        "Nl": "16EE",
        "Zl": "2028",
        "Zp": "2029",
        "Cs": "D800",
        "Co": "E000"
    },
    "combinings": {
        "0": "0000",
        "230": "0300",
        "232": "0315",
        "220": "0316",
        "216": "031B",
        "202": "0321",
        "1": "0334",
        "240": "0345",
        "233": "035C",
        "234": "035D",
        "222": "059A",
        "228": "05AE",
        "10": "05B0",
        "11": "05B1",
        "12": "05B2",
        "13": "05B3",
        "14": "05B4",
        "15": "05B5",
        "16": "05B6",
        "17": "05B7",
        "18": "05B8",
        "19": "05B9",
        "20": "05BB",
        "21": "05BC",
        "22": "05BD",
        "23": "05BF",
        "24": "05C1",
        "25": "05C2",
        "30": "0618",
        "31": "0619",
        "32": "061A",
        "27": "064B",
        "28": "064C",
        "29": "064D",
        "33": "0651",
        "34": "0652",
        "35": "0670",
        "36": "0711",
        "7": "093C",
        "9": "094D",
        "84": "0C55",
        "91": "0C56",
        "103": "0E38",
        "107": "0E48",
        "118": "0EB8",
        "122": "0EC8",
        "129": "0F71",
        "130": "0F72",
        "132": "0F74",
        "214": "1DCE",
        "218": "302A",
        "224": "302E",
        "8": "3099",
        "26": "FB1E",
        "226": "1D16D"
    },
    "decimals": {
        "": "0000",
        "0": "0030",
        "1": "0031",
        "2": "0032",
        "3": "0033",
        "4": "0034",
        "5": "0035",
        "6": "0036",
        "7": "0037",
        "8": "0038",
        "9": "0039"
    },
    "decompositions": {
        "": "0000",
        "<noBreak> 0020": "00A0",
        "<compat> 0020 0308": "00A8",
        "<super> 0061": "00AA",
        "<compat> 0020 0304": "00AF",
        "<super> 0032": "00B2",
        "<super> 0033": "00B3",
        "<compat> 0020 0301": "00B4",
        "<compat> 03BC": "00B5",
        "<compat> 0020 0327": "00B8",
        "<super> 0031": "00B9",
        "<super> 006F": "00BA",
        "<fraction> 0031 2044 0034": "00BC",
        "<fraction> 0031 2044 0032": "00BD",
        "<fraction> 0033 2044 0034": "00BE",
        "0041 0300": "00C0",
        "0041 0301": "00C1",
        "0041 0302": "00C2",
        "0041 0303": "00C3",
        "0041 0308": "00C4",
        "0041 030A": "00C5",
        "0043 0327": "00C7",
        "0045 0300": "00C8",
        "0045 0301": "00C9",
        "0045 0302": "00CA",
        "0045 0308": "00CB",
        "0049 0300": "00CC",
        "0049 0301": "00CD",
        "0049 0302": "00CE",
        "0049 0308": "00CF",
        "004E 0303": "00D1",
        "004F 0300": "00D2",
        "004F 0301": "00D3",
        "004F 0302": "00D4",
        "004F 0303": "00D5",
        "004F 0308": "00D6",
        "0055 0300": "00D9",
        "0055 0301": "00DA",
        "0055 0302": "00DB",
        "0055 0308": "00DC",
        "0059 0301": "00DD",
        "0061 0300": "00E0",
        "0061 0301": "00E1",
        "0061 0302": "00E2",
        "0061 0303": "00E3",
        "0061 0308": "00E4",
        "0061 030A": "00E5",
        "0063 0327": "00E7",
        "0065 0300": "00E8",
        "0065 0301": "00E9",
        "0065 0302": "00EA",
        "0065 0308": "00EB",
        "0069 0300": "00EC",
        "0069 0301": "00ED",
        "0069 0302": "00EE",
        "0069 0308": "00EF",
        "006E 0303": "00F1",
        "006F 0300": "00F2",
        "006F 0301": "00F3",
        "006F 0302": "00F4",
        "006F 0303": "00F5",
        "006F 0308": "00F6",
        "0075 0300": "00F9",
        "0075 0301": "00FA",
        "0075 0302": "00FB",
        "0075 0308": "00FC",
        "0079 0301": "00FD",
        "0079 0308": "00FF",
        "0041 0304": "0100",
        "0061 0304": "0101",
        "0041 0306": "0102",
        "0061 0306": "0103",
        "0041 0328": "0104",
        "0061 0328": "0105",
        "0043 0301": "0106",
        "0063 0301": "0107",
        "0043 0302": "0108",
        "0063 0302": "0109",
        "0043 0307": "010A",
        "0063 0307": "010B",
        "0043 030C": "010C",
        "0063 030C": "010D",
        "0044 030C": "010E",
        "0064 030C": "010F",
        "0045 0304": "0112",
        "0065 0304": "0113",
        "0045 0306": "0114",
        "0065 0306": "0115",
        "0045 0307": "0116",
        "0065 0307": "0117",
        "0045 0328": "0118",
        "0065 0328": "0119",
        "0045 030C": "011A",
        "0065 030C": "011B",
        "0047 0302": "011C",
        "0067 0302": "011D",
        "0047 0306": "011E",
        "0067 0306": "011F",
        "0047 0307": "0120",
        "0067 0307": "0121"
    },
    "digits": {
        "": "0000",
        "0": "0030",
        "1": "0031",
        "2": "0032",
        "3": "0033",
        "4": "0034",
        "5": "0035",
        "6": "0036",
        "7": "0037",
        "8": "0038",
        "9": "0039"
    },
    "names": {
        "LEFT PARENTHESIS": "0028",
        "COMMERCIAL AT": "0040",
        "LATIN SMALL LETTER C": "0063",
        "<control>": "0082",
        "SUPERSCRIPT ONE": "00B9",
        "LATIN CAPITAL LETTER O WITH CIRCUMFLEX": "00D4",
        "LATIN CAPITAL LETTER O WITH STROKE": "00D8",
        "LATIN SMALL LETTER Y WITH DIAERESIS": "00FF",
        "LATIN SMALL LETTER E WITH DOT ABOVE": "0117",
        "LATIN SMALL LETTER I WITH MACRON": "012B",
        "LATIN CAPITAL LETTER J WITH CIRCUMFLEX": "0134",
        "LATIN CAPITAL LETTER N WITH CARON": "0147",
        "LATIN SMALL LETTER O WITH BREVE": "014F",
        "LATIN CAPITAL LETTER R WITH CEDILLA": "0156",
        "LATIN CAPITAL LETTER S WITH CEDILLA": "015E",
        "LATIN CAPITAL LETTER Z WITH ACUTE": "0179",
        "LATIN CAPITAL LETTER TONE SIX": "0184",
        "LATIN SMALL LETTER K WITH HOOK": "0199",
        "LATIN CAPITAL LETTER O WITH HORN": "01A0",
        "LATIN CAPITAL LETTER P WITH HOOK": "01A4",
        "LATIN SMALL LETTER I WITH CARON": "01D0",
        "LATIN SMALL LETTER O WITH CARON": "01D2",
        "LATIN CAPITAL LETTER AE WITH MACRON": "01E2",
        "LATIN CAPITAL LETTER AE WITH ACUTE": "01FC",
        "LATIN CAPITAL LETTER R WITH INVERTED BREVE": "0212",
        "LATIN CAPITAL LETTER Y WITH MACRON": "0232",
        "LATIN SMALL LETTER DOTLESS J WITH STROKE": "025F",
        "LATIN SMALL LETTER H WITH HOOK": "0266",
        "LATIN SMALL LETTER TURNED R WITH LONG LEG": "027A",
        "LATIN SMALL LETTER SQUAT REVERSED ESH": "0285",
        "LATIN LETTER SMALL CAPITAL L": "029F",
        "MODIFIER LETTER SMALL TURNED R": "02B4",
        "MODIFIER LETTER SMALL W": "02B7",
        "MODIFIER LETTER LOW MACRON": "02CD",
        "DOT ABOVE": "02D9",
        "COMBINING ACUTE ACCENT": "0301",
        "COMBINING RING ABOVE": "030A",
        "COMBINING TILDE OVERLAY": "0334",
        "COMBINING RIGHT ARROWHEAD ABOVE": "0350",
        "COMBINING LEFT ARROWHEAD BELOW": "0354",
        "COMBINING LATIN SMALL LETTER E": "0364",
        "COMBINING LATIN SMALL LETTER O": "0366",
        "COMBINING LATIN SMALL LETTER R": "036C",
        "GREEK CAPITAL LETTER ARCHAIC SAMPI": "0372",
        "GREEK SMALL REVERSED LUNATE SIGMA SYMBOL": "037B",
        "GREEK CAPITAL LETTER DELTA": "0394",
        "GREEK SMALL LETTER UPSILON": "03C5",
        "GREEK SMALL LETTER OMEGA": "03C9",
        "GREEK THETA SYMBOL": "03D1",
        "GREEK LETTER DIGAMMA": "03DC",
        "COPTIC CAPITAL LETTER DEI": "03EE",
        "CYRILLIC CAPITAL LETTER IO": "0401",
        "CYRILLIC CAPITAL LETTER TE": "0422",
        "CYRILLIC CAPITAL LETTER HARD SIGN": "042A",
        "CYRILLIC SMALL LETTER I": "0438",
        "CYRILLIC SMALL LETTER ES": "0441",
        "CYRILLIC SMALL LETTER SHA": "0448",
        "CYRILLIC SMALL LETTER IZHITSA": "0475",
        "CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT": "0476",
        "CYRILLIC CAPITAL LETTER ROUND OMEGA": "047A",
        "COMBINING CYRILLIC HUNDRED THOUSANDS SIGN": "0488",
        "CYRILLIC CAPITAL LETTER GHE WITH STROKE": "0492",
        "CYRILLIC CAPITAL LETTER EN WITH DESCENDER": "04A2",
        "CYRILLIC CAPITAL LETTER SHHA": "04BA",
        "CYRILLIC CAPITAL LETTER ZHE WITH BREVE": "04C1",
        "CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS": "04DA",
        "CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS": "04DE",
        "CYRILLIC SMALL LETTER I WITH DIAERESIS": "04E5",
        "CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE": "04F3",
        "CYRILLIC CAPITAL LETTER KOMI ZJE": "0504",
        "CYRILLIC SMALL LETTER KOMI NJE": "050B",
        "ARMENIAN CAPITAL LETTER HO": "0540",
        "ARMENIAN CAPITAL LETTER RA": "054C",
        "ARMENIAN SMALL LETTER CA": "056E",
        "HEBREW ACCENT TELISHA QETANA": "05A9",
        "HEBREW POINT TSERE": "05B5",
        "HEBREW PUNCTUATION SOF PASUQ": "05C3",
        "HEBREW MARK LOWER DOT": "05C5",
        "HEBREW LETTER KAF": "05DB",
        "HEBREW LIGATURE YIDDISH DOUBLE VAV": "05F0",
        "ARABIC-INDIC PER TEN THOUSAND SIGN": "060A",
        "ARABIC LETTER TEH MARBUTA": "0629",
        "ARABIC LETTER REH": "0631",
        "ARABIC LETTER KEHEH WITH THREE DOTS BELOW": "063C",
        "ARABIC LETTER HEH": "0647",
        "ARABIC LETTER YEH": "064A",
        "ARABIC HAMZA BELOW": "0655",
        "ARABIC ZWARAKAY": "0659",
        "ARABIC-INDIC DIGIT SIX": "0666",
        "ARABIC LETTER TEHEH": "067F",
        "ARABIC LETTER TCHEHEH": "0687",
        "ARABIC LETTER RREH": "0691",
        "ARABIC LETTER REH WITH DOT BELOW": "0694",
        "ARABIC LETTER GAF": "06AF",
        "ARABIC LETTER YEH WITH THREE DOTS BELOW": "06D1",
        "ARABIC SMALL HIGH MADDA": "06E4",
        "SYRIAC END OF PARAGRAPH": "0700",
        "SYRIAC LETTER ZAIN": "0719",
        "SYRIAC LETTER PERSIAN GHAMAL": "072E",
        "ARABIC LETTER AIN WITH THREE DOTS POINTING DOWNWARDS ABOVE": "075E",
        "ARABIC LETTER KEHEH WITH THREE DOTS POINTING UPWARDS BELOW": "0764",
        "ARABIC LETTER NOON WITH SMALL V": "0769",
        "ARABIC LETTER REH WITH TWO DOTS VERTICALLY ABOVE": "076B",
        "ARABIC LETTER SEEN WITH TWO DOTS VERTICALLY ABOVE": "076D",
        "ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH ABOVE": "0772",
        "ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE": "077B",
        "THAANA LETTER GAAFU": "078E",
        "THAANA LETTER YAA": "0794",
        "THAANA LETTER ZAA": "079C",
        "THAANA LETTER SHEENU": "079D",
        "NKO DIGIT SEVEN": "07C7",
        "NKO LETTER A": "07CA",
        "NKO LETTER U": "07CE",
        "NKO LETTER GBA": "07DC",
        "NKO EXCLAMATION MARK": "07F9",
        "SAMARITAN LETTER DALAT": "0803",
        "SAMARITAN MARK EPENTHETIC YUT": "081B",
        "SAMARITAN VOWEL SIGN U": "0827",
        "DEVANAGARI LETTER U": "0909",
        "DEVANAGARI LETTER CANDRA O": "0911",
        "DEVANAGARI LETTER GHA": "0918",
        "DEVANAGARI LETTER TA": "0924",
        "DEVANAGARI VOWEL SIGN E": "0947",
        "BENGALI SIGN CANDRABINDU": "0981",
        "BENGALI VOWEL SIGN UU": "09C2",
        "BENGALI VOWEL SIGN VOCALIC L": "09E2",
        "GURMUKHI LETTER A": "0A05",
        "GURMUKHI LETTER TTA": "0A1F",
        "GURMUKHI SIGN VIRAMA": "0A4D",
        "GURMUKHI LETTER GHHA": "0A5A",
        "GURMUKHI LETTER ZA": "0A5B",
        "GUJARATI LETTER VOCALIC R": "0A8B",
        "GUJARATI LETTER GHA": "0A98",
        "GUJARATI LETTER NYA": "0A9E",
        "GUJARATI LETTER TTA": "0A9F",
        "GUJARATI LETTER LA": "0AB2",
        "GUJARATI LETTER VOCALIC LL": "0AE1",
        "GUJARATI DIGIT NINE": "0AEF",
        "ORIYA SIGN VISARGA": "0B03",
        "ORIYA LETTER TTHA": "0B20",
        "ORIYA LETTER VOCALIC RR": "0B60",
        "ORIYA ISSHAR": "0B70",
        "TAMIL LETTER JA": "0B9C",
        "TAMIL LETTER NNNA": "0BA9",
        "TAMIL OM": "0BD0",
        "TELUGU SIGN VISARGA": "0C03",
        "TELUGU LETTER DHA": "0C27",
        "TELUGU LETTER PA": "0C2A",
        "TELUGU LETTER HA": "0C39",
        "TELUGU VOWEL SIGN AI": "0C48",
        "KANNADA VOWEL SIGN OO": "0CCB",
        "MALAYALAM LETTER II": "0D08",
        "MALAYALAM LETTER HA": "0D39",
        "MALAYALAM VOWEL SIGN VOCALIC LL": "0D63",
        "MALAYALAM LETTER CHILLU LL": "0D7E",
        "SINHALA LETTER MUURDHAJA SAYANNA": "0DC2",
        "THAI CHARACTER SARA AI MAIMUAN": "0E43",
        "THAI DIGIT NINE": "0E59",
        "LAO LETTER PHO TAM": "0E9E",
        "LAO LETTER MO": "0EA1",
        "LAO LETTER O": "0EAD",
        "LAO VOWEL SIGN O": "0EC2",
        "LAO DIGIT FIVE": "0ED5",
        "TIBETAN DIGIT HALF FIVE": "0F2E",
        "TIBETAN MARK BSDUS RTAGS": "0F34",
        "TIBETAN LETTER BA": "0F56",
        "TIBETAN VOWEL SIGN VOCALIC LL": "0F79",
        "TIBETAN SUBJOINED LETTER TTA": "0F9A",
        "TIBETAN SUBJOINED LETTER FIXED-FORM WA": "0FBA",
        "TIBETAN MARK NYIS TSHEG": "0FD2",
        "RIGHT-FACING SVASTI SIGN": "0FD5",
        "MYANMAR LETTER CHA": "1006",
        "MYANMAR LETTER DDHA": "100E",
        "MYANMAR LETTER THA": "1011",
        "MYANMAR LETTER NA": "1014",
        "MYANMAR VOWEL SIGN UU": "1030",
        "MYANMAR SIGN ASAT": "103A",
        "MYANMAR CONSONANT SIGN MEDIAL WA": "103D",
        "MYANMAR DIGIT SEVEN": "1047",
        "MYANMAR LETTER SHAN GA": "1077",
        "MYANMAR LETTER SHAN NYA": "107A",
        "MYANMAR LETTER SHAN NA": "107C",
        "MYANMAR LETTER SHAN HA": "1081",
        "GEORGIAN CAPITAL LETTER PHAR": "10B4",
        "GEORGIAN CAPITAL LETTER CHIN": "10B9",
        "GEORGIAN CAPITAL LETTER HOE": "10C5",
        "GEORGIAN LETTER TAR": "10E2",
        "GEORGIAN LETTER QAR": "10E7",
        "GEORGIAN LETTER ELIFI": "10F8",
        "HANGUL CHOSEONG KIYEOK": "1100",
        "HANGUL CHOSEONG PIEUP-SIOS-KIYEOK": "1122",
        "HANGUL CHOSEONG KAPYEOUNPIEUP": "112B",
        "HANGUL CHOSEONG SIOS-TIKEUT": "112F",
        "HANGUL CHOSEONG SIOS-MIEUM": "1131",
        "HANGUL CHOSEONG SIOS-THIEUTH": "1139",
        "HANGUL CHOSEONG IEUNG-TIKEUT": "1142",
        "HANGUL JUNGSEONG YEO": "1167",
        "HANGUL JUNGSEONG YI": "1174",
        "HANGUL JUNGSEONG U-A": "1189",
        "HANGUL JONGSEONG PIEUP": "11B8",
        "HANGUL JONGSEONG IEUNG": "11BC",
        "HANGUL JONGSEONG KIYEOK-RIEUL": "11C3",
        "HANGUL JONGSEONG MIEUM-PIEUP": "11DC",
        "ETHIOPIC SYLLABLE HO": "1206",
        "ETHIOPIC SYLLABLE QAA": "1243",
        "ETHIOPIC SYLLABLE QHWI": "125A",
        "ETHIOPIC SYLLABLE VEE": "126C",
        "ETHIOPIC SYLLABLE GLOTTAL A": "12A0",
        "ETHIOPIC SYLLABLE KO": "12AE",
        "ETHIOPIC SYLLABLE KWE": "12B5",
        "ETHIOPIC SYLLABLE ZE": "12DD",
        "ETHIOPIC SYLLABLE FO": "134E",
        "ETHIOPIC SYLLABLE PWA": "1357",
        "ETHIOPIC WORDSPACE": "1361",
        "ETHIOPIC SYLLABLE SEBATBEIT PWA": "138C",
        "CHEROKEE LETTER E": "13A1",
        "CHEROKEE LETTER LO": "13B6",
        "CHEROKEE LETTER DV": "13DB",
        "CHEROKEE LETTER DLA": "13DC",
        "CHEROKEE LETTER TSA": "13E3",
        "CHEROKEE LETTER YV": "13F4",
        "CANADIAN SYLLABICS CARRIER I": "1409",
        "CANADIAN SYLLABICS A": "140A",
        "CANADIAN SYLLABICS PAAI": "1430",
        "CANADIAN SYLLABICS P": "1449",
        "CANADIAN SYLLABICS CARRIER DEE": "1453",
        "CANADIAN SYLLABICS WEST-CREE TWAA": "1464",
        "CANADIAN SYLLABICS KWOO": "147C",
        "CANADIAN SYLLABICS K": "1483",
        "CANADIAN SYLLABICS MWI": "14AE",
        "CANADIAN SYLLABICS WEST-CREE MWO": "14B3",
        "CANADIAN SYLLABICS MWA": "14B6",
        "CANADIAN SYLLABICS NH": "14D2",
        "CANADIAN SYLLABICS WEST-CREE LWII": "14E1",
        "CANADIAN SYLLABICS LWO": "14E2",
        "CANADIAN SYLLABICS LWAA": "14E8",
        "CANADIAN SYLLABICS SWI": "14F8",
        "CANADIAN SYLLABICS WEST-CREE SWA": "1501",
        "CANADIAN SYLLABICS S": "1505",
        "CANADIAN SYLLABICS YO": "152A",
        "CANADIAN SYLLABICS THE": "155E",
        "CANADIAN SYLLABICS SAYISI SHE": "1597",
        "CANADIAN SYLLABICS WOODS-CREE THO": "159D",
        "CANADIAN SYLLABICS BLACKFOOT WO": "15B6",
        "CANADIAN SYLLABICS BLACKFOOT NO": "15BA",
        "CANADIAN SYLLABICS SAYISI HA": "15C3",
        "CANADIAN SYLLABICS CARRIER HWU": "15D6",
        "CANADIAN SYLLABICS CARRIER PU": "15E8",
        "CANADIAN SYLLABICS CARRIER MO": "1609",
        "CANADIAN SYLLABICS CARRIER JU": "1614",
        "CANADIAN SYLLABICS CARRIER JJE": "161E",
        "CANADIAN SYLLABICS CARRIER LEE": "1625",
        "CANADIAN SYLLABICS CARRIER ZEE": "1643",
        "CANADIAN SYLLABICS CARRIER ZA": "1645",
        "CANADIAN SYLLABICS CARRIER TSE": "165D",
        "CANADIAN SYLLABICS CARRIER CHA": "1666",
        "OGHAM LETTER FEARN": "1683",
        "OGHAM LETTER STRAIF": "168E",
        "RUNIC LETTER W": "16A5",
        "RUNIC LETTER ISAZ IS ISS I": "16C1",
        "RUNIC LETTER LONG-BRANCH-MADR M": "16D8",
        "TAGALOG LETTER YA": "170C",
        "HANUNOO LETTER KA": "1723",
        "BUHID LETTER I": "1741",
        "TAGBANWA LETTER NGA": "1765",
        "KHMER LETTER DA": "178A",
        "KHMER SIGN AHSDA": "17CF",
        "MONGOLIAN FREE VARIATION SELECTOR TWO": "180C",
        "MONGOLIAN LETTER WA": "1838",
        "MONGOLIAN LETTER ZRA": "183F",
        "MONGOLIAN LETTER MANCHU ALI GALI TTA": "189E",
        "CANADIAN SYLLABICS YAY": "18C4",
        "CANADIAN SYLLABICS R-CREE RWE": "18E0",
        "LIMBU LETTER YA": "1915",
        "LIMBU QUESTION MARK": "1945",
        "TAI LE LETTER PA": "1959",
        "TAI LE LETTER OO": "1968",
        "TAI LE LETTER TONE-2": "1970",
        "NEW TAI LUE LETTER HIGH NGA": "1984",
        "NEW TAI LUE TONE MARK-2": "19C9",
        "KHMER SYMBOL PRAM-BEI KOET": "19E8",
        "KHMER SYMBOL PRAM-BUON KOET": "19E9",
        "KHMER SYMBOL DAP-BEI KOET": "19ED",
        "BUGINESE LETTER MPA": "1A07",
        "BUGINESE VOWEL SIGN E": "1A19",
        "TAI THAM LETTER HIGH KXA": "1A22",
        "TAI THAM LETTER HIGH CA": "1A27",
        "TAI THAM LETTER HIGH CHA": "1A28",
        "TAI THAM CONSONANT SIGN LOW PA": "1A5A",
        "TAI THAM SIGN MAI SAM": "1A7B",
        "TAI THAM HORA DIGIT ONE": "1A81",
        "BALINESE LETTER SA SAGA": "1B30",
        "BALINESE VOWEL SIGN TEDUNG": "1B35",
        "BALINESE VOWEL SIGN TALING": "1B3E",
        "BALINESE VOWEL SIGN TALING REPA TEDUNG": "1B41",
        "BALINESE MUSICAL SYMBOL DONG": "1B61",
        "BALINESE MUSICAL SYMBOL COMBINING KEMPUL": "1B6D",
        "BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PUNG": "1B79",
        "SUNDANESE LETTER CA": "1B8E",
        "SUNDANESE VOWEL SIGN PANGHULU": "1BA4",
        "SUNDANESE DIGIT NINE": "1BB9",
        "LEPCHA LETTER MLA": "1C16",
        "LEPCHA PUNCTUATION TA-ROL": "1C3B",
        "OL CHIKI DIGIT SEVEN": "1C57",
        "OL CHIKI DIGIT NINE": "1C59",
        "VEDIC TONE TRIPLE SVARITA": "1CDB",
        "VEDIC TONE ATHARVAVEDIC INDEPENDENT SVARITA": "1CE1",
        "LATIN SMALL LETTER TURNED I": "1D09",
        "LATIN LETTER SMALL CAPITAL EZH": "1D23",
        "MODIFIER LETTER SMALL BETA": "1D5D",
        "LATIN SMALL LETTER B WITH MIDDLE TILDE": "1D6C",
        "LATIN SMALL LETTER Z WITH MIDDLE TILDE": "1D76",
        "MODIFIER LETTER SMALL J WITH CROSSED-TAIL": "1DA8",
        "COMBINING MACRON-GRAVE": "1DC6",
        "LATIN SMALL LETTER D WITH DOT ABOVE": "1E0B",
        "LATIN SMALL LETTER D WITH LINE BELOW": "1E0F",
        "LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW": "1E19",
        "LATIN CAPITAL LETTER O WITH MACRON AND ACUTE": "1E52",
        "LATIN SMALL LETTER W WITH DOT ABOVE": "1E87",
        "LATIN SMALL LETTER X WITH DIAERESIS": "1E8D",
        "LATIN SMALL LETTER A WITH RIGHT HALF RING": "1E9A",
        "LATIN CAPITAL LETTER A WITH BREVE AND TILDE": "1EB4",
        "LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE": "1EC4",
        "LATIN CAPITAL LETTER I WITH HOOK ABOVE": "1EC8",
        "LATIN SMALL LETTER Y WITH LOOP": "1EFF",
        "GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI": "1F3E",
        "GREEK SMALL LETTER OMICRON WITH VARIA": "1F78",
        "GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI": "1F8A",
        "GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI": "1F9C",
        "GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI": "1FAC",
        "GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI": "1FC4",
        "GREEK SMALL LETTER IOTA WITH VRACHY": "1FD0",
        "GREEK CAPITAL LETTER UPSILON WITH OXIA": "1FEB",
        "SIX-PER-EM SPACE": "2006",
        "UNDERTIE": "203F",
        "REVERSED SEMICOLON": "204F",
        "INVISIBLE PLUS": "2064",
        "COLON SIGN": "20A1",
        "PESO SIGN": "20B1",
        "COMBINING SHORT VERTICAL LINE OVERLAY": "20D3",
        "COMBINING ANTICLOCKWISE ARROW ABOVE": "20D4",
        "COMBINING DOUBLE VERTICAL STROKE OVERLAY": "20E6",
        "COMBINING RIGHT ARROW BELOW": "20EF",
        "TURNED CAPITAL F": "2132",
        "ROMAN NUMERAL TWO": "2161",
        "ROMAN NUMERAL SEVEN": "2166",
        "SMALL ROMAN NUMERAL EIGHT": "2177",
        "SMALL ROMAN NUMERAL FIFTY": "217C",
        "SMALL ROMAN NUMERAL ONE HUNDRED": "217D",
        "DOWNWARDS ARROW": "2193",
        "DOWNWARDS ZIGZAG ARROW": "21AF",
        "UPWARDS ARROW WITH TIP LEFTWARDS": "21B0",
        "NORTH WEST ARROW TO LONG BAR": "21B8",
        "RIGHTWARDS ARROW WITH VERTICAL STROKE": "21F8",
        "DOT PLUS": "2214",
        "PROPORTIONAL TO": "221D",
        "NEITHER GREATER-THAN NOR EQUIVALENT TO": "2275",
        "LESS-THAN OR GREATER-THAN": "2276",
        "PRECEDES OR EQUAL TO": "227C",
        "PRECEDES OR EQUIVALENT TO": "227E",
        "SUBSET OF OR EQUAL TO": "2286",
        "UP ARROWHEAD": "2303",
        "RIGHT FLOOR": "230B",
        "UP ARROWHEAD BETWEEN TWO HORIZONTAL BARS": "2324",
        "APL FUNCTIONAL SYMBOL QUAD DIAMOND": "233A",
        "APL FUNCTIONAL SYMBOL UPWARDS VANE": "234F",
        "APL FUNCTIONAL SYMBOL CIRCLE UNDERBAR": "235C",
        "DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH CIRCLE": "23C1",
        "SYMBOL FOR START OF TEXT": "2402",
        "SYMBOL FOR END OF MEDIUM": "2419",
        "SYMBOL FOR DELETE FORM TWO": "2425",
        "CIRCLED NUMBER FIFTEEN": "246E",
        "CIRCLED NUMBER SIXTEEN": "246F",
        "NUMBER FIFTEEN FULL STOP": "2496",
        "CIRCLED LATIN CAPITAL LETTER L": "24C1",
        "CIRCLED LATIN CAPITAL LETTER U": "24CA",
        "CIRCLED LATIN CAPITAL LETTER Z": "24CF",
        "CIRCLED LATIN SMALL LETTER T": "24E3",
        "BOX DRAWINGS LIGHT VERTICAL": "2502",
        "BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL": "2507",
        "BOX DRAWINGS LIGHT UP AND RIGHT": "2514",
        "BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT": "2527",
        "BOX DRAWINGS HEAVY DOWN AND HORIZONTAL": "2533",
        "BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT": "2544",
        "BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT": "2545",
        "BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL": "254C",
        "BOX DRAWINGS HEAVY DOUBLE DASH VERTICAL": "254F",
        "BOX DRAWINGS UP DOUBLE AND LEFT SINGLE": "255C",
        "BOX DRAWINGS DOUBLE UP AND LEFT": "255D",
        "BOX DRAWINGS HEAVY RIGHT": "257A",
        "CIRCLE WITH UPPER RIGHT QUADRANT BLACK": "25D4",
        "WHITE CIRCLE WITH UPPER LEFT QUADRANT": "25F4",
        "WHITE CIRCLE WITH LOWER LEFT QUADRANT": "25F5",
        "THUNDERSTORM": "2608",
        "WHITE SHOGI PIECE": "2616",
        "ADI SHAKTI": "262C",
        "TRIGRAM FOR FIRE": "2632",
        "WHITE CHESS ROOK": "2656",
        "WHITE HEART SUIT": "2661",
        "RECYCLING SYMBOL FOR GENERIC MATERIALS": "267A",
        "DIE FACE-2": "2681",
        "WHITE FLAG": "2690",
        "UNMARRIED PARTNERSHIP SYMBOL": "26AF",
        "WHITE DRAUGHTS KING": "26C1",
        "BLACK DRAUGHTS KING": "26C3",
        "PICK": "26CF",
        "HEADSTONE GRAVEYARD SYMBOL": "26FC",
        "WHITE SCISSORS": "2704",
        "OUTLINED GREEK CROSS": "2719",
        "PINWHEEL STAR": "272F",
        "EIGHT TEARDROP-SPOKED PROPELLER ASTERISK": "274A",
        "LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT": "2773",
        "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SIX": "278F",
        "THREE DIMENSIONAL ANGLE": "27C0",
        "MATHEMATICAL RIGHT WHITE SQUARE BRACKET": "27E7",
        "BRAILLE PATTERN DOTS-14": "2809",
        "BRAILLE PATTERN DOTS-1345": "281D",
        "BRAILLE PATTERN DOTS-1236": "2827",
        "BRAILLE PATTERN DOTS-346": "282C",
        "BRAILLE PATTERN DOTS-356": "2834",
        "BRAILLE PATTERN DOTS-2356": "2836",
        "BRAILLE PATTERN DOTS-23457": "285E",
        "BRAILLE PATTERN DOTS-267": "2862",
        "BRAILLE PATTERN DOTS-358": "2894",
        "BRAILLE PATTERN DOTS-468": "28A8",
        "BRAILLE PATTERN DOTS-2478": "28CA",
        "BRAILLE PATTERN DOTS-23678": "28E6",
        "BRAILLE PATTERN DOTS-345678": "28FC",
        "BRAILLE PATTERN DOTS-2345678": "28FE",
        "LEFTWARDS DOUBLE ARROW-TAIL": "291B",
        "TOP ARC ANTICLOCKWISE ARROW": "293A",
        "LEFTWARDS HARPOON WITH BARB UP ABOVE LONG DASH": "296A",
        "LEFTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH": "296B",
        "Z NOTATION SPOT": "2981",
        "Z NOTATION TYPE COLON": "2982",
        "SQUARED ASTERISK": "29C6",
        "TRIANGLE WITH UNDERBAR": "29CB",
        "IDENTICAL TO AND SLANTED PARALLEL": "29E5",
        "ANTICLOCKWISE INTEGRATION": "2A11",
        "MULTIPLICATION SIGN WITH UNDERBAR": "2A31",
        "MINUS SIGN IN TRIANGLE": "2A3A",
        "Z NOTATION RELATIONAL COMPOSITION": "2A3E",
        "DOUBLE SQUARE INTERSECTION": "2A4E",
        "DOUBLE LOGICAL AND": "2A53",
        "TWO INTERSECTING LOGICAL OR": "2A56",
        "LOGICAL OR OVERLAPPING LOGICAL AND": "2A59",
        "IDENTICAL WITH DOT ABOVE": "2A67",
        "GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE LEFT": "2A84",
        "SLANTED EQUAL TO OR LESS-THAN": "2A95",
        "GREATER-THAN BESIDE LESS-THAN": "2AA5",
        "PRECEDES ABOVE SINGLE-LINE NOT EQUAL TO": "2AB1",
        "SUCCEEDS ABOVE ALMOST EQUAL TO": "2AB8",
        "SUBSET WITH PLUS SIGN BELOW": "2ABF",
        "SUBSET ABOVE SUPERSET": "2AD3",
        "LARGE TRIPLE VERTICAL BAR OPERATOR": "2AFC",
        "SOUTH EAST WHITE ARROW": "2B02",
        "WHITE LARGE SQUARE": "2B1C",
        "BLACK SMALL DIAMOND": "2B29",
        "LEFTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE": "2B35",
        "LEFTWARDS TWO-HEADED ARROW FROM BAR": "2B36",
        "LEFTWARDS ARROW WITH DOTTED STEM": "2B38",
        "GLAGOLITIC CAPITAL LETTER SPIDERY HA": "2C22",
        "GLAGOLITIC SMALL LETTER ONU": "2C41",
        "GLAGOLITIC SMALL LETTER RITSI": "2C43",
        "GLAGOLITIC SMALL LETTER TVRIDO": "2C45",
        "GLAGOLITIC SMALL LETTER YATI": "2C51",
        "GLAGOLITIC SMALL LETTER SMALL YUS WITH TAIL": "2C55",
        "LATIN SMALL LETTER W WITH HOOK": "2C73",
        "LATIN SMALL LETTER HALF H": "2C76",
        "LATIN SMALL LETTER TAILLESS PHI": "2C77",
        "LATIN SMALL LETTER E WITH NOTCH": "2C78",
        "COPTIC SMALL LETTER GAMMA": "2C85",
        "COPTIC CAPITAL LETTER LAULA": "2C96",
        "COPTIC SMALL LETTER MI": "2C99",
        "COPTIC SMALL LETTER O": "2C9F",
        "COPTIC CAPITAL LETTER SIMA": "2CA4",
        "COPTIC CAPITAL LETTER OLD NUBIAN NGI": "2CDE",
        "GEORGIAN SMALL LETTER GHAN": "2D16",
        "TIFINAGH LETTER YAB": "2D31",
        "TIFINAGH LETTER TUAREG YAK": "2D3E",
        "TIFINAGH LETTER YAHH": "2D43",
        "TIFINAGH LETTER TUAREG YAKH": "2D46",
        "ETHIOPIC SYLLABLE CCHA": "2DB8",
        "ETHIOPIC SYLLABLE QYEE": "2DC4",
        "ETHIOPIC SYLLABLE XYEE": "2DD4",
        "LEFT LOW PARAPHRASE BRACKET": "2E1C",
        "CJK RADICAL SECOND TWO": "2E83",
        "CJK RADICAL KNIFE ONE": "2E88",
        "CJK RADICAL RAP": "2E99",
        "CJK RADICAL WATER TWO": "2EA2",
        "CJK RADICAL C-SIMPLIFIED SHELL": "2EC9",
        "CJK RADICAL C-SIMPLIFIED FLY": "2EDC",
        "CJK RADICAL EAT ONE": "2EDD",
        "CJK RADICAL GHOST": "2EE4",
        "KANGXI RADICAL SUN": "2F47",
        "KANGXI RADICAL HALF TREE TRUNK": "2F59",
        "KANGXI RADICAL FIELD": "2F65",
        "KANGXI RADICAL EYE": "2F6C",
        "LEFT DOUBLE ANGLE BRACKET": "300A",
        "RIGHT WHITE TORTOISE SHELL BRACKET": "3019",
        "LEFT WHITE SQUARE BRACKET": "301A",
        "HANGZHOU NUMERAL TWO": "3022",
        "VERTICAL KANA REPEAT WITH VOICED SOUND MARK": "3032",
        "HIRAGANA LETTER DO": "3069",
        "HIRAGANA LETTER HI": "3072",
        "HIRAGANA LETTER HE": "3078",
        "HIRAGANA DIGRAPH YORI": "309F",
        "KATAKANA LETTER SI": "30B7",
        "KATAKANA LETTER SU": "30B9",
        "KATAKANA LETTER WO": "30F2",
        "KATAKANA LETTER N": "30F3",
        "BOPOMOFO LETTER P": "3106",
        "BOPOMOFO LETTER G": "310D",
        "BOPOMOFO LETTER U": "3128",
        "BOPOMOFO LETTER NG": "312B",
        "BOPOMOFO LETTER GN": "312C",
        "HANGUL LETTER KIYEOK": "3131",
        "HANGUL LETTER NIEUN-HIEUH": "3136",
        "HANGUL LETTER WA": "3158",
        "HANGUL LETTER RIEUL-KIYEOK-SIOS": "3169",
        "HANGUL LETTER RIEUL-TIKEUT": "316A",
        "HANGUL LETTER SSANGHIEUH": "3185",
        "HANGUL LETTER ARAEA": "318D",
        "IDEOGRAPHIC ANNOTATION SECOND MARK": "319A",
        "IDEOGRAPHIC ANNOTATION HEAVEN MARK": "319D",
        "CJK STROKE SZWG": "31C9",
        "CJK STROKE SZ": "31D7",
        "CJK STROKE PD": "31DB",
        "KATAKANA LETTER SMALL HI": "31F6",
        "PARENTHESIZED HANGUL KHIEUKH": "320A",
        "PARENTHESIZED HANGUL MIEUM A": "3212",
        "PARENTHESIZED IDEOGRAPH HAVE": "3232",
        "PARENTHESIZED IDEOGRAPH NAME": "3234",
        "CIRCLED NUMBER THIRTY ONE": "325B",
        "CIRCLED HANGUL PHIEUPH": "326C",
        "CIRCLED HANGUL PHIEUPH A": "327A",
        "CIRCLED IDEOGRAPH WATER": "328C",
        "CIRCLED NUMBER FORTY ONE": "32B6",
        "CIRCLED NUMBER FORTY SIX": "32BB",
        "CIRCLED KATAKANA O": "32D4",
        "CIRCLED KATAKANA NA": "32E4",
        "CIRCLED KATAKANA RE": "32F9",
        "SQUARE ANPEA": "3302",
        "SQUARE GIGA": "3310",
        "SQUARE PESO": "3337",
        "SQUARE PEEZI": "333B",
        "SQUARE MAIKURO": "3343",
        "SQUARE MIKURON": "3348",
        "SQUARE MEGATON": "334C",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINE": "3361",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOURTEEN": "3366",
        "SQUARE DA": "3372",
        "SQUARE ERA NAME MEIZI": "337E",
        "SQUARE NM": "339A",
        "SQUARE CM": "339D",
        "SQUARE MV MEGA": "33B9",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVENTEEN": "33F0",
        "HEXAGRAM FOR INCREASE": "4DE9",
        "HEXAGRAM FOR INNER TRUTH": "4DFC",
        "YI SYLLABLE IT": "A000",
        "YI SYLLABLE BYX": "A033",
        "YI SYLLABLE PIX": "A039",
        "YI SYLLABLE PUO": "A044",
        "YI SYLLABLE PUP": "A04D",
        "YI SYLLABLE PYR": "A055",
        "YI SYLLABLE BBY": "A074",
        "YI SYLLABLE NBAP": "A080",
        "YI SYLLABLE NBUR": "A08A",
        "YI SYLLABLE HMU": "A0A5",
        "YI SYLLABLE FAP": "A0D4",
        "YI SYLLABLE DIEX": "A104",
        "YI SYLLABLE DUX": "A115",
        "YI SYLLABLE TOP": "A12C",
        "YI SYLLABLE DDIX": "A137",
        "YI SYLLABLE HNI": "A16A",
        "YI SYLLABLE HNEP": "A17B",
        "YI SYLLABLE HLYRX": "A1B5",
        "YI SYLLABLE LIEP": "A1BE",
        "YI SYLLABLE LOX": "A1C8",
        "YI SYLLABLE LEX": "A1CB",
        "YI SYLLABLE GI": "A1DC",
        "YI SYLLABLE GOT": "A1EA",
        "YI SYLLABLE KOT": "A206",
        "YI SYLLABLE KUX": "A20F",
        "YI SYLLABLE GGURX": "A22E",
        "YI SYLLABLE HOT": "A279",
        "YI SYLLABLE ZO": "A29D",
        "YI SYLLABLE ZUR": "A2A7",
        "YI SYLLABLE NZYRX": "A307",
        "YI SYLLABLE SI": "A30B",
        "YI SYLLABLE SIEX": "A30D",
        "YI SYLLABLE SSIEP": "A330",
        "YI SYLLABLE SSYT": "A340",
        "YI SYLLABLE SSYR": "A345",
        "YI SYLLABLE RROP": "A383",
        "YI SYLLABLE RREP": "A387",
        "YI SYLLABLE NRU": "A3A1",
        "YI SYLLABLE NRUP": "A3A2",
        "YI SYLLABLE NRYP": "A3A8",
        "YI SYLLABLE SHU": "A3BC",
        "YI SYLLABLE RA": "A3C8",
        "YI SYLLABLE RUO": "A3CB",
        "YI SYLLABLE RYR": "A3DF",
        "YI SYLLABLE JUT": "A3F0",
        "YI SYLLABLE JY": "A3F8",
        "YI SYLLABLE QIET": "A400",
        "YI SYLLABLE QY": "A414",
        "YI SYLLABLE JJYX": "A42E",
        "YI SYLLABLE NJIX": "A432",
        "YI SYLLABLE NJYX": "A445",
        "YI SYLLABLE XI": "A45F",
        "YI RADICAL MI": "A498",
        "YI RADICAL HXUO": "A49F",
        "LISU LETTER SA": "A4E2",
        "VAI SYLLABLE MBEE": "A508",
        "VAI SYLLABLE VEE": "A50D",
        "VAI SYLLABLE HI": "A526",
        "VAI SYLLABLE CI": "A53F",
        "VAI SYLLABLE NJI": "A541",
        "VAI SYLLABLE NI": "A547",
        "VAI SYLLABLE WA": "A54E",
        "VAI SYLLABLE KA": "A56A",
        "VAI SYLLABLE VOO": "A57E",
        "VAI SYLLABLE KOO": "A58F",
        "VAI SYLLABLE NOO": "A593",
        "VAI SYLLABLE HUN": "A598",
        "VAI SYLLABLE BU": "A59D",
        "VAI SYLLABLE SHU": "A5AD",
        "VAI SYLLABLE GBO": "A5C7",
        "VAI SYLLABLE NGEN": "A5E3",
        "VAI SYLLABLE WE": "A5E6",
        "VAI SYLLABLE DE": "A5F9",
        "VAI SYLLABLE LENGTHENER": "A60C",
        "VAI SYMBOL BANG": "A617",
        "VAI DIGIT ONE": "A621",
        "CYRILLIC CAPITAL LETTER REVERSED YU": "A654",
        "COMBINING CYRILLIC THOUSAND MILLIONS SIGN": "A672",
        "CYRILLIC CAPITAL LETTER HWE": "A694",
        "CYRILLIC SMALL LETTER SHWE": "A697",
        "BAMUM LETTER RAE": "A6D1",
        "BAMUM LETTER KPA": "A6E9",
        "MODIFIER LETTER RAISED EXCLAMATION MARK": "A71D",
        "LATIN SMALL LETTER HENG": "A727",
        "LATIN CAPITAL LETTER TRESILLO": "A72A",
        "LATIN SMALL LETTER L WITH HIGH STROKE": "A749",
        "LATIN CAPITAL LETTER O WITH LOOP": "A74C",
        "LATIN SMALL LETTER R ROTUNDA": "A75B",
        "LATIN CAPITAL LETTER IS": "A76C",
        "LATIN SMALL LETTER INSULAR D": "A77A",
        "LATIN EPIGRAPHIC LETTER REVERSED F": "A7FB",
        "SYLOTI NAGRI LETTER THO": "A815",
        "NORTH INDIC FRACTION ONE HALF": "A831",
        "PHAGS-PA LETTER RA": "A858",
        "PHAGS-PA LETTER U": "A85F",
        "SAURASHTRA LETTER E": "A88C",
        "SAURASHTRA LETTER TA": "A8A1",
        "SAURASHTRA LETTER DHA": "A8A4",
        "SAURASHTRA DIGIT EIGHT": "A8D8",
        "KAYAH LI LETTER KHA": "A90B",
        "KAYAH LI LETTER TA": "A912",
        "KAYAH LI LETTER LA": "A91C",
        "KAYAH LI VOWEL U": "A928",
        "HANGUL CHOSEONG MIEUM-TIKEUT": "A970",
        "JAVANESE LETTER RA AGUNG": "A9AC",
        "JAVANESE LETTER LA": "A9AD",
        "JAVANESE VOWEL SIGN PEPET": "A9BC",
        "JAVANESE PADA MADYA": "A9C4",
        "JAVANESE PADA ADEG": "A9CA",
        "JAVANESE DIGIT ZERO": "A9D0",
        "JAVANESE DIGIT SEVEN": "A9D7",
        "CHAM LETTER NGUE": "AA0A",
        "CHAM LETTER YA": "AA22",
        "MYANMAR LETTER KHAMTI DDA": "AA68",
        "MYANMAR SIGN PAO KAREN TONE": "AA7B",
        "TAI VIET VOWEL O": "AAB6",
        "MEETEI MAYEK LETTER JHAM": "ABD3",
        "MEETEI MAYEK LETTER JIL": "ABD6",
        "MEETEI MAYEK LETTER DHOU": "ABD9",
        "MEETEI MAYEK DIGIT THREE": "ABF3",
        "HANGUL JUNGSEONG YU-AE": "D7B7",
        "HANGUL JONGSEONG SIOS-CIEUC": "D7EF",
        "CJK COMPATIBILITY IDEOGRAPH-F911": "F911",
        "CJK COMPATIBILITY IDEOGRAPH-F91F": "F91F",
        "CJK COMPATIBILITY IDEOGRAPH-F931": "F931",
        "CJK COMPATIBILITY IDEOGRAPH-F934": "F934",
        "CJK COMPATIBILITY IDEOGRAPH-F956": "F956",
        "CJK COMPATIBILITY IDEOGRAPH-F963": "F963",
        "CJK COMPATIBILITY IDEOGRAPH-F96E": "F96E",
        "CJK COMPATIBILITY IDEOGRAPH-F997": "F997",
        "CJK COMPATIBILITY IDEOGRAPH-F9A4": "F9A4",
        "CJK COMPATIBILITY IDEOGRAPH-F9AF": "F9AF",
        "CJK COMPATIBILITY IDEOGRAPH-F9B6": "F9B6",
        "CJK COMPATIBILITY IDEOGRAPH-F9CE": "F9CE",
        "CJK COMPATIBILITY IDEOGRAPH-F9F6": "F9F6",
        "CJK COMPATIBILITY IDEOGRAPH-FA1D": "FA1D",
        "CJK COMPATIBILITY IDEOGRAPH-FA38": "FA38",
        "CJK COMPATIBILITY IDEOGRAPH-FA5E": "FA5E",
        "CJK COMPATIBILITY IDEOGRAPH-FA6D": "FA6D",
        "CJK COMPATIBILITY IDEOGRAPH-FA72": "FA72",
        "CJK COMPATIBILITY IDEOGRAPH-FA88": "FA88",
        "CJK COMPATIBILITY IDEOGRAPH-FAA2": "FAA2",
        "CJK COMPATIBILITY IDEOGRAPH-FAB0": "FAB0",
        "CJK COMPATIBILITY IDEOGRAPH-FACF": "FACF",
        "HEBREW LETTER GIMEL WITH DAGESH": "FB32",
        "HEBREW LETTER QOF WITH DAGESH": "FB47",
        "ARABIC LETTER NOON GHUNNA ISOLATED FORM": "FB9E",
        "ARABIC LETTER HEH GOAL ISOLATED FORM": "FBA6",
        "ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM": "FBAD",
        "ARABIC LETTER NG FINAL FORM": "FBD4",
        "ARABIC LETTER OE ISOLATED FORM": "FBD9",
        "ARABIC LETTER KIRGHIZ YU ISOLATED FORM": "FBE2",
        "ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM": "FBFB",
        "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM": "FC00",
        "ARABIC LIGATURE BEH WITH YEH ISOLATED FORM": "FC0A",
        "ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM": "FC1A",
        "ARABIC LIGATURE TEH WITH REH FINAL FORM": "FC70",
        "ARABIC LIGATURE NOON WITH NOON FINAL FORM": "FC8D",
        "ARABIC LIGATURE SEEN WITH JEEM INITIAL FORM": "FCAD",
        "ARABIC LIGATURE GHAIN WITH JEEM INITIAL FORM": "FCBC",
        "ARABIC LIGATURE GHAIN WITH MEEM INITIAL FORM": "FCBD",
        "ARABIC LIGATURE FEH WITH HAH INITIAL FORM": "FCBF",
        "ARABIC LIGATURE NOON WITH HEH MEDIAL FORM": "FCEF",
        "ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM": "FCF5",
        "ARABIC LIGATURE TAH WITH YEH ISOLATED FORM": "FCF6",
        "ARABIC LIGATURE SHEEN WITH KHAH ISOLATED FORM": "FD0B",
        "ARABIC LIGATURE SEEN WITH KHAH MEDIAL FORM": "FD36",
        "ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM": "FD62",
        "ARABIC LIGATURE TEH WITH JEEM WITH ALEF MAKSURA FINAL FORM": "FDA0",
        "ARABIC LIGATURE SAD WITH HAH WITH YEH FINAL FORM": "FDA9",
        "ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM": "FDB5",
        "ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM": "FDB6",
        "ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM": "FDC3",
        "VARIATION SELECTOR-3": "FE02",
        "VARIATION SELECTOR-13": "FE0C",
        "SMALL EXCLAMATION MARK": "FE57",
        "SMALL EM DASH": "FE58",
        "SMALL EQUALS SIGN": "FE66",
        "ARABIC FATHA ISOLATED FORM": "FE76",
        "ARABIC LETTER KHAH FINAL FORM": "FEA6",
        "ARABIC LETTER SHEEN ISOLATED FORM": "FEB5",
        "ARABIC LETTER DAD FINAL FORM": "FEBE",
        "ARABIC LETTER KAF FINAL FORM": "FEDA",
        "FULLWIDTH HYPHEN-MINUS": "FF0D",
        "FULLWIDTH EQUALS SIGN": "FF1D",
        "FULLWIDTH LATIN CAPITAL LETTER B": "FF22",
        "FULLWIDTH LATIN SMALL LETTER R": "FF52",
        "HALFWIDTH KATAKANA LETTER SMALL YA": "FF6C",
        "HALFWIDTH KATAKANA LETTER HO": "FF8E",
        "HALFWIDTH KATAKANA LETTER RA": "FF97",
        "HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK": "FF9F",
        "HALFWIDTH HANGUL LETTER NIEUN": "FFA4",
        "HALFWIDTH HANGUL LETTER YO": "FFD2",
        "LINEAR B SYLLABLE B036 JO": "1000D",
        "LINEAR B SYLLABLE B070 KO": "10012",
        "LINEAR B SYLLABLE B003 PA": "1001E",
        "LINEAR B SYLLABLE B053 RI": "1002A",
        "LINEAR B SYLLABLE B076 RA2": "10048",
        "LINEAR B SYMBOL B047": "10054",
        "LINEAR B MONOGRAM B128 KANAKO": "10094",
        "LINEAR B IDEOGRAM B132": "10097",
        "LINEAR B IDEOGRAM B170": "100B2",
        "LINEAR B IDEOGRAM B232": "100C8",
        "LINEAR B IDEOGRAM B257": "100DB",
        "AEGEAN DRY MEASURE FIRST SUBUNIT": "1013C",
        "GREEK ACROPHONIC ATTIC FIVE": "10143",
        "GREEK ACROPHONIC ATTIC FIVE HUNDRED TALENTS": "1014C",
        "GREEK ACROPHONIC TROEZENIAN FIVE": "1015F",
        "GREEK ACROPHONIC THESPIAN THIRTY": "10165",
        "GREEK ONE HALF SIGN": "10175",
        "GREEK FOUR OBOLS SIGN": "1017F",
        "LYCIAN LETTER Z": "10288",
        "CARIAN LETTER R": "102A5",
        "CARIAN LETTER MB3": "102CC",
        "GOTHIC LETTER AHSA": "10330",
        "GOTHIC LETTER OTHAL": "10349",
        "UGARITIC LETTER ZU": "10391",
        "OLD PERSIAN SIGN DAHYAAUSH-2": "103CD",
        "DESERET CAPITAL LETTER TEE": "10413",
        "DESERET SMALL LETTER OW": "10435",
        "DESERET SMALL LETTER CHEE": "1043D",
        "DESERET SMALL LETTER JEE": "1043E",
        "SHAVIAN LETTER DEAD": "1045B",
        "SHAVIAN LETTER LOLL": "10464",
        "SHAVIAN LETTER OR": "10479",
        "OSMANYA LETTER ALEF": "10480",
        "OSMANYA LETTER QAAF": "1048E",
        "OSMANYA DIGIT THREE": "104A3",
        "CYPRIOT SYLLABLE LA": "1080F",
        "CYPRIOT SYLLABLE MI": "10816",
        "CYPRIOT SYLLABLE SA": "10828",
        "CYPRIOT SYLLABLE TE": "1082E",
        "IMPERIAL ARAMAIC LETTER DALETH": "10843",
        "PHOENICIAN LETTER SHIN": "10914",
        "LYDIAN TRIANGULAR MARK": "1093F",
        "KHAROSHTHI LETTER CA": "10A15",
        "KHAROSHTHI LETTER VA": "10A2C",
        "KHAROSHTHI DIGIT TWO": "10A41",
        "KHAROSHTHI PUNCTUATION LINES": "10A58",
        "OLD SOUTH ARABIAN LETTER WAW": "10A65",
        "AVESTAN LETTER ME": "10B28",
        "INSCRIPTIONAL PAHLAVI LETTER HETH": "10B67",
        "INSCRIPTIONAL PAHLAVI NUMBER THREE": "10B7A",
        "OLD TURKIC LETTER ORKHON A": "10C00",
        "OLD TURKIC LETTER YENISEI OE": "10C08",
        "OLD TURKIC LETTER YENISEI AD": "10C12",
        "OLD TURKIC LETTER ORKHON AEK": "10C1A",
        "OLD TURKIC LETTER ORKHON EP": "10C2F",
        "OLD TURKIC LETTER ORKHON OP": "10C30",
        "OLD TURKIC LETTER ORKHON AT": "10C43",
        "RUMI NUMBER SIX HUNDRED": "10E77",
        "RUMI NUMBER EIGHT HUNDRED": "10E79",
        "KAITHI SIGN VISARGA": "11082",
        "KAITHI LETTER AU": "1108C",
        "KAITHI LETTER DHA": "110A1",
        "KAITHI LETTER BA": "110A5",
        "KAITHI SIGN NUKTA": "110BA",
        "CUNEIFORM SIGN A TIMES BAD": "12002",
        "CUNEIFORM SIGN AK TIMES SHITA PLUS GISH": "1201F",
        "CUNEIFORM SIGN AL TIMES KI": "12026",
        "CUNEIFORM SIGN ASH2": "1203E",
        "CUNEIFORM SIGN BA": "12040",
        "CUNEIFORM SIGN DAG KISIM5 TIMES HA": "12060",
        "CUNEIFORM SIGN DAG KISIM5 TIMES NE": "12068",
        "CUNEIFORM SIGN DI": "12072",
        "CUNEIFORM SIGN DIN": "12077",
        "CUNEIFORM SIGN DU GUNU": "1207C",
        "CUNEIFORM SIGN DUN3 GUNU": "12086",
        "CUNEIFORM SIGN EZEN TIMES LAL TIMES LAL": "120B0",
        "CUNEIFORM SIGN GA2 TIMES SAL": "120E3",
        "CUNEIFORM SIGN GA2 TIMES SHE PLUS TUR": "120E6",
        "CUNEIFORM SIGN GAR3": "120FC",
        "CUNEIFORM SIGN GIR3": "1210A",
        "CUNEIFORM SIGN GUM": "12123",
        "CUNEIFORM SIGN GURUSH": "12128",
        "CUNEIFORM SIGN HI TIMES SHE": "12135",
        "CUNEIFORM SIGN IL TIMES GAN2 TENU": "1214C",
        "CUNEIFORM SIGN KA TIMES MI": "12178",
        "CUNEIFORM SIGN KA TIMES SIG": "12184",
        "CUNEIFORM SIGN KAL": "12197",
        "CUNEIFORM SIGN KAM4": "1219B",
        "CUNEIFORM SIGN LAGAB TIMES KU3": "121D1",
        "CUNEIFORM SIGN LAGAR TIMES SHE": "121ED",
        "CUNEIFORM SIGN LISH": "121FA",
        "CUNEIFORM SIGN LUM OVER LUM": "1221E",
        "CUNEIFORM SIGN MU": "1222C",
        "CUNEIFORM SIGN NIM TIMES GAR PLUS GAN2 TENU": "12251",
        "CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH": "1225C",
        "CUNEIFORM SIGN NUN CROSSING NUN LAGAR OVER LAGAR": "1226C",
        "CUNEIFORM SIGN NUNUZ": "1226D",
        "CUNEIFORM SIGN RI": "12291",
        "CUNEIFORM SIGN SAG NUTILLU": "12294",
        "CUNEIFORM SIGN SHA3": "122AE",
        "CUNEIFORM SIGN SHESHLAM": "122C2",
        "CUNEIFORM SIGN TIR": "12301",
        "CUNEIFORM SIGN URU TIMES GAR": "1233F",
        "CUNEIFORM SIGN ZU5": "1236B",
        "CUNEIFORM NUMERIC SIGN TWO ASH": "12400",
        "CUNEIFORM NUMERIC SIGN ONE GESH2": "12415",
        "CUNEIFORM NUMERIC SIGN FIVE GESHU": "12422",
        "CUNEIFORM NUMERIC SIGN FIVE SHAR2": "12427",
        "CUNEIFORM NUMERIC SIGN THREE SHARU": "1242E",
        "CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU A": "12449",
        "CUNEIFORM NUMERIC SIGN ONE THIRD DISH": "1245A",
        "EGYPTIAN HIEROGLYPH A006B": "13008",
        "EGYPTIAN HIEROGLYPH A040": "1302D",
        "EGYPTIAN HIEROGLYPH A047": "13038",
        "EGYPTIAN HIEROGLYPH A052": "1303D",
        "EGYPTIAN HIEROGLYPH A053": "1303E",
        "EGYPTIAN HIEROGLYPH A061": "13046",
        "EGYPTIAN HIEROGLYPH A068": "1304D",
        "EGYPTIAN HIEROGLYPH D006": "1307B",
        "EGYPTIAN HIEROGLYPH D042": "130A3",
        "EGYPTIAN HIEROGLYPH D061": "130C3",
        "EGYPTIAN HIEROGLYPH D067F": "130CF",
        "EGYPTIAN HIEROGLYPH E020": "130E9",
        "EGYPTIAN HIEROGLYPH F045A": "13131",
        "EGYPTIAN HIEROGLYPH F053": "1313E",
        "EGYPTIAN HIEROGLYPH G007A": "13147",
        "EGYPTIAN HIEROGLYPH G021": "13158",
        "EGYPTIAN HIEROGLYPH G032": "13164",
        "EGYPTIAN HIEROGLYPH G038": "1316C",
        "EGYPTIAN HIEROGLYPH H001": "1317F",
        "EGYPTIAN HIEROGLYPH K002": "1319C",
        "EGYPTIAN HIEROGLYPH K003": "1319D",
        "EGYPTIAN HIEROGLYPH M015": "131C7",
        "EGYPTIAN HIEROGLYPH M016A": "131CA",
        "EGYPTIAN HIEROGLYPH M022A": "131D2",
        "EGYPTIAN HIEROGLYPH M029": "131DB",
        "EGYPTIAN HIEROGLYPH M038": "131E7",
        "EGYPTIAN HIEROGLYPH M043": "131ED",
        "EGYPTIAN HIEROGLYPH N007": "131F5",
        "EGYPTIAN HIEROGLYPH N025": "13209",
        "EGYPTIAN HIEROGLYPH N030": "1320F",
        "EGYPTIAN HIEROGLYPH N034": "13214",
        "EGYPTIAN HIEROGLYPH NL006": "13226",
        "EGYPTIAN HIEROGLYPH NU006": "1323B",
        "EGYPTIAN HIEROGLYPH NU010A": "13240",
        "EGYPTIAN HIEROGLYPH NU011": "13241",
        "EGYPTIAN HIEROGLYPH O001": "13250",
        "EGYPTIAN HIEROGLYPH O005": "13255",
        "EGYPTIAN HIEROGLYPH O012": "13266",
        "EGYPTIAN HIEROGLYPH O020": "1326F",
        "EGYPTIAN HIEROGLYPH O030": "1327D",
        "EGYPTIAN HIEROGLYPH R016A": "132C3",
        "EGYPTIAN HIEROGLYPH S045": "13305",
        "EGYPTIAN HIEROGLYPH T006": "1330D",
        "EGYPTIAN HIEROGLYPH T009A": "13313",
        "EGYPTIAN HIEROGLYPH T024": "13324",
        "EGYPTIAN HIEROGLYPH T030": "1332A",
        "EGYPTIAN HIEROGLYPH U003": "13335",
        "EGYPTIAN HIEROGLYPH V003": "1336E",
        "EGYPTIAN HIEROGLYPH V011A": "13379",
        "EGYPTIAN HIEROGLYPH V011B": "1337A",
        "EGYPTIAN HIEROGLYPH V015": "13381",
        "EGYPTIAN HIEROGLYPH V017": "13383",
        "EGYPTIAN HIEROGLYPH V022": "13394",
        "EGYPTIAN HIEROGLYPH V040A": "133AE",
        "EGYPTIAN HIEROGLYPH W006": "133B5",
        "EGYPTIAN HIEROGLYPH Z012": "133F7",
        "EGYPTIAN HIEROGLYPH Z015E": "133FF",
        "EGYPTIAN HIEROGLYPH Z016D": "13408",
        "EGYPTIAN HIEROGLYPH AA005": "13411",
        "EGYPTIAN HIEROGLYPH AA007B": "13415",
        "EGYPTIAN HIEROGLYPH AA028": "1342A",
        "BYZANTINE MUSICAL SYMBOL YPOKRISIS": "1D00A",
        "BYZANTINE MUSICAL SYMBOL TINAGMA": "1D027",
        "BYZANTINE MUSICAL SYMBOL DYO": "1D02F",
        "BYZANTINE MUSICAL SYMBOL PARAKALESMA ARCHAION": "1D03D",
        "BYZANTINE MUSICAL SYMBOL MIKRON ISON": "1D057",
        "BYZANTINE MUSICAL SYMBOL VAREIA NEO": "1D058",
        "BYZANTINE MUSICAL SYMBOL XIRON KLASMA": "1D06A",
        "BYZANTINE MUSICAL SYMBOL TROMIKOPARAKALESMA": "1D06E",
        "BYZANTINE MUSICAL SYMBOL DIPLI ARCHAION": "1D080",
        "BYZANTINE MUSICAL SYMBOL KRATIMA ARCHAION": "1D081",
        "BYZANTINE MUSICAL SYMBOL APLI": "1D085",
        "BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON DEXIA": "1D095",
        "BYZANTINE MUSICAL SYMBOL MARTYRIA DEYTEROS ICHOS": "1D0A4",
        "BYZANTINE MUSICAL SYMBOL MARTYRIA LEGETOS ICHOS": "1D0AA",
        "BYZANTINE MUSICAL SYMBOL MARTYRIA VARYS ICHOS": "1D0B1",
        "BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION DEYTEROU ICHOU": "1D0B9",
        "BYZANTINE MUSICAL SYMBOL DIESIS TETARTIMORION": "1D0CF",
        "BYZANTINE MUSICAL SYMBOL ARKTIKO GA": "1D0EB",
        "MUSICAL SYMBOL REPEATED FIGURE-2": "1D10E",
        "MUSICAL SYMBOL FERMATA": "1D110",
        "MUSICAL SYMBOL F CLEF": "1D122",
        "MUSICAL SYMBOL DRUM CLEF-2": "1D126",
        "MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN WHITE": "1D154",
        "MUSICAL SYMBOL CLUSTER NOTEHEAD BLACK": "1D15B",
        "MUSICAL SYMBOL COMBINING SPRECHGESANG STEM": "1D166",
        "MUSICAL SYMBOL END SLUR": "1D178",
        "MUSICAL SYMBOL RINFORZANDO": "1D18C",
        "MUSICAL SYMBOL MAXIMA": "1D1B6",
        "MUSICAL SYMBOL SEMIBREVIS REST": "1D1C4",
        "MUSICAL SYMBOL MINIMA REST": "1D1C5",
        "GREEK VOCAL NOTATION SYMBOL-23": "1D216",
        "GREEK VOCAL NOTATION SYMBOL-53": "1D21B",
        "GREEK INSTRUMENTAL NOTATION SYMBOL-14": "1D226",
        "TETRAGRAM FOR CONTENTION": "1D31E",
        "TETRAGRAM FOR PURITY": "1D32A",
        "TETRAGRAM FOR RESPONSE": "1D32E",
        "TETRAGRAM FOR UNITY": "1D33B",
        "TETRAGRAM FOR DIMINISHMENT": "1D33C",
        "TETRAGRAM FOR GUARDEDNESS": "1D33E",
        "TETRAGRAM FOR DEPARTURE": "1D347",
        "COUNTING ROD TENS DIGIT FOUR": "1D36C",
        "MATHEMATICAL BOLD SMALL Z": "1D433",
        "MATHEMATICAL ITALIC CAPITAL M": "1D440",
        "MATHEMATICAL ITALIC CAPITAL Y": "1D44C",
        "MATHEMATICAL BOLD ITALIC SMALL A": "1D482",
        "MATHEMATICAL SCRIPT CAPITAL J": "1D4A5",
        "MATHEMATICAL BOLD SCRIPT CAPITAL F": "1D4D5",
        "MATHEMATICAL BOLD SCRIPT SMALL T": "1D4FD",
        "MATHEMATICAL BOLD SCRIPT SMALL Y": "1D502",
        "MATHEMATICAL FRAKTUR CAPITAL X": "1D51B",
        "MATHEMATICAL DOUBLE-STRUCK CAPITAL J": "1D541",
        "MATHEMATICAL DOUBLE-STRUCK CAPITAL S": "1D54A",
        "MATHEMATICAL DOUBLE-STRUCK SMALL G": "1D558",
        "MATHEMATICAL BOLD FRAKTUR CAPITAL K": "1D576",
        "MATHEMATICAL BOLD FRAKTUR CAPITAL P": "1D57B",
        "MATHEMATICAL BOLD FRAKTUR SMALL V": "1D59B",
        "MATHEMATICAL SANS-SERIF CAPITAL L": "1D5AB",
        "MATHEMATICAL SANS-SERIF CAPITAL Y": "1D5B8",
        "MATHEMATICAL SANS-SERIF BOLD CAPITAL N": "1D5E1",
        "MATHEMATICAL SANS-SERIF BOLD SMALL C": "1D5F0",
        "MATHEMATICAL SANS-SERIF BOLD SMALL O": "1D5FC",
        "MATHEMATICAL SANS-SERIF BOLD SMALL S": "1D600",
        "MATHEMATICAL SANS-SERIF ITALIC CAPITAL O": "1D616",
        "MATHEMATICAL SANS-SERIF ITALIC CAPITAL U": "1D61C",
        "MATHEMATICAL SANS-SERIF ITALIC SMALL K": "1D62C",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL T": "1D669",
        "MATHEMATICAL MONOSPACE CAPITAL M": "1D67C",
        "MATHEMATICAL MONOSPACE SMALL S": "1D69C",
        "MATHEMATICAL BOLD CAPITAL ETA": "1D6AE",
        "MATHEMATICAL BOLD SMALL BETA": "1D6C3",
        "MATHEMATICAL BOLD SMALL ETA": "1D6C8",
        "MATHEMATICAL ITALIC CAPITAL BETA": "1D6E3",
        "MATHEMATICAL ITALIC CAPITAL XI": "1D6EF",
        "MATHEMATICAL ITALIC SMALL XI": "1D709",
        "MATHEMATICAL BOLD ITALIC CAPITAL KAPPA": "1D725",
        "MATHEMATICAL BOLD ITALIC CAPITAL LAMDA": "1D726",
        "MATHEMATICAL BOLD ITALIC SMALL UPSILON": "1D74A",
        "MATHEMATICAL SANS-SERIF BOLD CAPITAL DELTA": "1D759",
        "MATHEMATICAL SANS-SERIF BOLD SMALL GAMMA": "1D772",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL GAMMA": "1D7AC",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL THETA": "1D7B1",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL CHI": "1D7C0",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PSI": "1D7C1",
        "MATHEMATICAL BOLD DIGIT TWO": "1D7D0",
        "MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE": "1D7F1",
        "MAHJONG TILE EIGHT OF BAMBOOS": "1F017",
        "DOMINO TILE HORIZONTAL-02-01": "1F040",
        "DOMINO TILE HORIZONTAL-02-03": "1F042",
        "DOMINO TILE HORIZONTAL-02-04": "1F043",
        "DOMINO TILE HORIZONTAL-05-01": "1F055",
        "DOMINO TILE HORIZONTAL-06-01": "1F05C",
        "DOMINO TILE HORIZONTAL-06-05": "1F060",
        "DOMINO TILE VERTICAL-00-02": "1F065",
        "DOMINO TILE VERTICAL-00-04": "1F067",
        "DOMINO TILE VERTICAL-03-01": "1F079",
        "PARENTHESIZED LATIN CAPITAL LETTER G": "1F116",
        "SQUARED LATIN CAPITAL LETTER B": "1F131",
        "<CJK Ideograph Extension C, First>": "2A700",
        "CJK COMPATIBILITY IDEOGRAPH-2F837": "2F837",
        "CJK COMPATIBILITY IDEOGRAPH-2F83B": "2F83B",
        "CJK COMPATIBILITY IDEOGRAPH-2F849": "2F849",
        "CJK COMPATIBILITY IDEOGRAPH-2F84B": "2F84B",
        "CJK COMPATIBILITY IDEOGRAPH-2F84F": "2F84F",
        "CJK COMPATIBILITY IDEOGRAPH-2F853": "2F853",
        "CJK COMPATIBILITY IDEOGRAPH-2F866": "2F866",
        "CJK COMPATIBILITY IDEOGRAPH-2F86C": "2F86C",
        "CJK COMPATIBILITY IDEOGRAPH-2F87F": "2F87F",
        "CJK COMPATIBILITY IDEOGRAPH-2F881": "2F881",
        "CJK COMPATIBILITY IDEOGRAPH-2F8A2": "2F8A2",
        "CJK COMPATIBILITY IDEOGRAPH-2F8A5": "2F8A5",
        "CJK COMPATIBILITY IDEOGRAPH-2F8A6": "2F8A6",
        "CJK COMPATIBILITY IDEOGRAPH-2F8BD": "2F8BD",
        "CJK COMPATIBILITY IDEOGRAPH-2F8C0": "2F8C0",
        "CJK COMPATIBILITY IDEOGRAPH-2F8CE": "2F8CE",
        "CJK COMPATIBILITY IDEOGRAPH-2F8DF": "2F8DF",
        "CJK COMPATIBILITY IDEOGRAPH-2F907": "2F907",
        "CJK COMPATIBILITY IDEOGRAPH-2F928": "2F928",
        "CJK COMPATIBILITY IDEOGRAPH-2F92A": "2F92A",
        "CJK COMPATIBILITY IDEOGRAPH-2F950": "2F950",
        "CJK COMPATIBILITY IDEOGRAPH-2F962": "2F962",
        "CJK COMPATIBILITY IDEOGRAPH-2F97A": "2F97A",
        "CJK COMPATIBILITY IDEOGRAPH-2F99A": "2F99A",
        "CJK COMPATIBILITY IDEOGRAPH-2F9D4": "2F9D4",
        "CJK COMPATIBILITY IDEOGRAPH-2F9E9": "2F9E9",
        "CJK COMPATIBILITY IDEOGRAPH-2F9EF": "2F9EF",
        "CJK COMPATIBILITY IDEOGRAPH-2F9F4": "2F9F4",
        "CJK COMPATIBILITY IDEOGRAPH-2FA0C": "2FA0C",
        "CJK COMPATIBILITY IDEOGRAPH-2FA10": "2FA10",
        "CJK COMPATIBILITY IDEOGRAPH-2FA1D": "2FA1D",
        "TAG DIGIT NINE": "E0039",
        "TAG LATIN CAPITAL LETTER D": "E0044",
        "TAG LEFT SQUARE BRACKET": "E005B",
        "TAG LATIN SMALL LETTER F": "E0066",
        "TAG LATIN SMALL LETTER H": "E0068",
        "TAG LATIN SMALL LETTER X": "E0078",
        "VARIATION SELECTOR-81": "E0140",
        "VARIATION SELECTOR-99": "E0152",
        "VARIATION SELECTOR-145": "E0180",
        "VARIATION SELECTOR-183": "E01A6",
        "VARIATION SELECTOR-234": "E01D9",
        "VARIATION SELECTOR-243": "E01E2",
        "VARIATION SELECTOR-246": "E01E5",
        "VARIATION SELECTOR-250": "E01E9",
        "<Plane 16 Private Use, Last>": "10FFFD"
    },
    "numerics": {
        "": "0000",
        "0": "0030",
        "1": "0031",
        "2": "0032",
        "3": "0033",
        "4": "0034",
        "5": "0035",
        "6": "0036",
        "7": "0037",
        "8": "0038",
        "9": "0039",
        "1/4": "00BC",
        "1/2": "00BD",
        "3/4": "00BE",
        "1/16": "09F4",
        "1/8": "09F5",
        "3/16": "09F6",
        "16": "09F9",
        "10": "0BF0",
        "100": "0BF1",
        "1000": "0BF2",
        "3/2": "0F2B",
        "5/2": "0F2C",
        "7/2": "0F2D",
        "9/2": "0F2E",
        "11/2": "0F2F",
        "13/2": "0F30",
        "15/2": "0F31",
        "17/2": "0F32",
        "-1/2": "0F33",
        "20": "1373",
        "30": "1374",
        "40": "1375",
        "50": "1376",
        "60": "1377",
        "70": "1378",
        "80": "1379",
        "90": "137A",
        "10000": "137C",
        "17": "16EE",
        "18": "16EF",
        "19": "16F0",
        "1/7": "2150",
        "1/9": "2151",
        "1/10": "2152",
        "1/3": "2153",
        "2/3": "2154",
        "1/5": "2155",
        "2/5": "2156",
        "3/5": "2157",
        "4/5": "2158",
        "1/6": "2159",
        "5/6": "215A",
        "3/8": "215C",
        "5/8": "215D",
        "7/8": "215E",
        "11": "216A",
        "12": "216B",
        "500": "216E",
        "5000": "2181",
        "50000": "2187",
        "100000": "2188",
        "13": "246C",
        "14": "246D",
        "15": "246E",
        "21": "3251",
        "22": "3252",
        "23": "3253",
        "24": "3254",
        "25": "3255",
        "26": "3256",
        "27": "3257",
        "28": "3258",
        "29": "3259",
        "31": "325B",
        "32": "325C",
        "33": "325D",
        "34": "325E",
        "35": "325F",
        "36": "32B1",
        "37": "32B2",
        "38": "32B3",
        "39": "32B4",
        "41": "32B6",
        "42": "32B7",
        "43": "32B8",
        "44": "32B9",
        "45": "32BA",
        "46": "32BB",
        "47": "32BC",
        "48": "32BD",
        "49": "32BE",
        "200": "1011A",
        "300": "1011B",
        "400": "1011C",
        "600": "1011E",
        "700": "1011F",
        "800": "10120",
        "900": "10121",
        "2000": "10123"
    }
}

for bidir, cp in tests["bidirs"].items():
    assert bidir == unicodedata.bidirectional(chr(int(cp, 16)))

print("bidirectional ok")

for category, cp in tests["categories"].items():
    assert category == unicodedata.category(chr(int(cp, 16)))

print("categories ok")

for comb, cp in tests["combinings"].items():
    assert int(comb) == unicodedata.combining(chr(int(cp, 16)))

print("combining ok")

for decimal, cp in tests["decimals"].items():
    if decimal:
        assert eval(decimal) == unicodedata.decimal(chr(int(cp, 16)))

print("decimals ok")

for decomp, cp in tests["decompositions"].items():
    assert decomp == unicodedata.decomposition(chr(int(cp, 16)))

print("decomposition ok")

for digit, cp in tests["digits"].items():
    if digit:
        assert eval(digit) == unicodedata.digit(chr(int(cp, 16)))

print("digits ok")

for name, cp in tests["names"].items():
    assert name == unicodedata.name(chr(int(cp, 16)))

print("names ok")

for numeric, cp in tests["numerics"].items():
    if numeric:
        assert eval(numeric) == unicodedata.numeric(chr(int(cp, 16)))

print("numeric ok")

assert unicodedata.normalize('NFC', chr(0x2162)) == "Ⅲ"
assert unicodedata.normalize('NFD', chr(0x2162)) == "Ⅲ"
assert unicodedata.normalize('NFKC', chr(0x2162)) == "III"
assert unicodedata.normalize('NFKD', chr(0x2162)) == "III"

print("normalize ok")
